package com.propertyManagement.common.core.domain;

import lombok.Data;

/**
 * 授权登录返回
 *
 * @author siashan
 * @date 2024/01/17
 **/
@Data
public class LoginResult<T> {
    /**
     * token令牌
     */
    private String token;

    /**
     * 登录态  true登录、false未登陆
     */
    private boolean loginFlag;


    /**
     * 错误消息
     */
    private String errMsg;


    /**
     * 用户信息
     */
    private T user;

    public static LoginResult loginErr(String errMsg){
        LoginResult result = new LoginResult();
        result.setLoginFlag(false);
        result.setErrMsg(errMsg);
        return result;
    }
}
